package com.muyu.breakdown.controller;

import com.muyu.breakdown.domain.SysCarFaultMessage;
import com.muyu.breakdown.service.SysCarFaultMessageService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.web.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * @ClassDescription:
 * @JdkVersion: 1.8
 * @Author: YZL
 * @Created: 2024/9/22 14:39
 */
@RestController
@RequestMapping("/message")
public class SysCarFaultMessageController extends BaseController {
    @Autowired
    private SysCarFaultMessageService service;

    @GetMapping("/list")
    public Result<TableDataInfo<SysCarFaultMessage>> list(){
        startPage();
        List<SysCarFaultMessage> list = service.list();
        return getDataTable(list);
    }

    @GetMapping("/listStatusOne")
    public Result<TableDataInfo<SysCarFaultMessage>>listStatusOne(){
        startPage();
        List<SysCarFaultMessage> list = service.listStatusOnt();
        return getDataTable(list);
    }

    @GetMapping("/listStatusTwo")
    public Result<TableDataInfo<SysCarFaultMessage>>listStatusTwo(){
        startPage();
        List<SysCarFaultMessage> list = service.listStatusTwo();
        return getDataTable(list);
    }
}
