package com.muyu.mapper;

import java.util.List;
import com.muyu.domain.WarnRule ;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.resp.WarnRuleResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 预警规则Mapper接口
 *
 * @author muyu
 * @date 2024-09-20
 */
@Mapper
public interface WarnRuleMapper extends BaseMapper<WarnRule>{

    //规则列表
    List<WarnRuleResp> selectWarnRuleRespList();

    //根据策略ID查规则
    List<WarnRuleResp> selectListByStrategyId(@Param("strategyId")Long strategyId);

}
