package com.muyu.breakdown.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @ClassDescription:
 * @JdkVersion: 1.8
 * @Author: YZL
 * @Created: 2024/9/22 20:17
 */
@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_car_fault_log")
public class SysCarFaultLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 参数主键 */
    @TableId( type = IdType.AUTO)
    private Long id;
    /** 故障码编码 */
    private Integer sysCarFaultId;
    /**记录时间*/
    private Date createTime;

    /** 结束时间*/
    private Date updateTime;


    /** VIN码 */
    private String vin;

    /** 处理状态 1-解决 2-处理中 3-忽略 */
    private Integer status;


}
